button {
  background: transparent;
  border: none;
  cursor: pointer;
}
header {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 99;
  right: 0;
  background-color: var(--white);
  box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.1);
}
/* header top */
.header-top {
  padding: 10px 0;
  min-height: 80px;
  display: flex;
  align-items: center;
}

.header-top-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.header-top-left,
.header-top-right {
  display: flex;
  align-items: center;
  gap: 20px;
}

.header-top-left figure a {
  display: block;
  width: fit-content;
  height: fit-content;
}
.header-top-left figure a img {
  width: 100%;
  height: auto;
  max-width: 70px;
}
.header-top-left nav {
  display: none;
}
.header-top-left nav ul {
  display: flex;
  align-items: center;
}

.header-top-left nav ul li {
  position: relative;
}
.header-top-left nav ul li:hover .submenu{
    opacity:1;
    visibility:visible;
    max-height:300px;
}
.submenu {
  display: flex;
  flex-direction: column;
  row-gap: 10px;
  background-color: white;
  border-radius:10px;
  overflow: hidden;
  position: absolute;
  padding:10px 0;
  margin-top: 20px;
  max-height: 0;
  transition: all 0.3s ease-in-out;
  opacity: 0;
  visibility: hidden;
  min-width: 200px;
  left: 0;
  right: 0;
}
.submenu li{
    width:100%;
}
.submenu li a {
  display: block !important;
  width: 100% !important;
  padding: 10px;
  font-size: 1rem;
    border-radius:0;
  color: var(--eirie-black);
}
.submenu li a:hover {
  background: var(--isabelline);
}
.header-top-left nav ul li:hover {
  opacity: 1;
  max-height: 300px;
  visibility: visible;
}
.header-top-left nav ul li a {
  padding: 0.8rem 1.6rem;
  border-radius: 8px;
  font-weight: 500;
  color: var(--eirie-black);
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
}
.header-top-left nav ul li a:hover {
  background: var(--isabelline);
}
.language-selector {
  position: relative;
}
.language-selector button {
  display: flex;
  align-items: center;
  font-size: 0.9rem;
  font-weight: 600;
  color: var(--eirie-black);
  padding: 10px;
  border-radius: 20px;
  background-color: var(--isabelline);
  gap: 10px;
}
.language-selector button img {
  width: 18px;
  height: auto;
}
.language-selector button i.rotate {
  transform: rotate(180deg);
}
.language-selector ul {
  display: flex;
  flex-direction: column;
  position: absolute;
  width: 100%;
  margin-top: 10px;
  background: var(--isabelline);
  border-radius: 20px;
}

.language-selector ul li a {
  display: block;
  width: 100%;
  height: fit-content;
  font-size: 0.9rem;
  font-weight: 600;
  color: var(--eirie-black);
  padding: 10px;
}
.language-selector ul li a img {
  width: 18px;
  height: auto;
}
.header-top-right .navbar_contact {
  display: none;
  align-items: center;
  gap: 10px;
  color: var(--eirie-black);
  font-weight: 600;
  min-width: 190px;
  min-height: 45px;
  justify-content: center;
  background: var(--isabelline);
  border-radius: 50px;
}

.mobile-menu-btn {
  display: block;
  background: transparent;
  border: none;
  color: var(--eirie-black);
  font-size: 25px;
}
/* header bottom */
.header-bottom {
  padding: 10px 0;
  min-height: 80px;
  display: none;
  align-items: center;
}
.header-bottom-wrapper {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.header-bottom-wrapper ul {
  display: flex;
  align-items: center;
  gap: 20px;
}
.header-bottom-wrapper ul li a {
  border-radius: 8px;
  padding: 0.8rem;
  font-weight: 700;
  transition: all 0.5s;
  -webkit-transition: all 0.5s;
  color: var(--eirie-black);
}
.header-bottom-wrapper ul li a:hover {
  background: var(--isabelline);
}

.header-bottom-wrapper a.volunteer-btn {
  border-radius: 10px;
  font-weight: 600;
  padding: 12px 22px;
  color: var(--white);
  display: flex;
  align-items: center;
  gap: 10px;
  background: var(--sea-green);
  transition: 0.3s all;
  border: none;
  width: max-content;
  -webkit-transition: 0.3s all;
}
.header-bottom-wrapper a.volunteer-btn img {
  filter: brightness(0) invert(1);
  transform: scale(0.79);
}
.header-bottom-wrapper a.volunteer-btn:hover {
  background: var(--sap-green);
}

/* side bar */

.all_sidebar {
  display: block;
}

#mobile_navbar {
  max-width: 100%;
  width: 100%;
  background-color: var(--dark-gunmetal);
  z-index: 999;
  padding: 20px 0;
  transition: 0.3s ease-in-out;
  position: fixed;
  top: 88px;
  height: 100%;
  overflow-y: scroll;
  opacity: 0;
  visibility: hidden;
}
#mobile_navbar.active_navbar {
  visibility: visible;
  opacity: 1;
  max-height: 70vh;
}
#mobile_navbar::-webkit-scrollbar {
  width: 5px;
}

#mobile_navbar::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(255, 255, 255, 0.3);
}

#mobile_navbar::-webkit-scrollbar-thumb {
  width: 3px;
  height: auto;
  background-color: #ddd;
  border-radius: 4px;
}
#mobile_navbar .cancel_logo_mobile {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 0;
  border-bottom: 1px solid #ddd;
}

.cancel_logo_mobile .logo_mobile {
  margin: 0;
  width: auto;
  height: 45px;
}

.cancel_logo_mobile .logo_mobile a {
  width: 100%;
  height: 100%;
  display: inline-block;
}

.cancel_logo_mobile .logo_mobile a img {
  width: 100%;
  height: 100%;
}

.cancel_logo_mobile .cancel_button {
  width: 25px;
  height: 25px;
}

.cancel_logo_mobile .cancel_button #cancel {
  border: none;
  cursor: pointer;
  background-color: transparent;
}

.cancel_logo_mobile .cancel_button svg {
  width: 100%;
  height: 100%;
  fill: #221f1f;
  opacity: 0.8;
}
.mobile_list li a {
  display: block;
  padding: 10px 0;
  color: var(--white);
  font-size: 16px;
  font-weight: 500;
}

.overlay {
  position: fixed;
  width: 100%;
  height: 100vh;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.3);
  z-index: 90;
  display: none;
  top: 88px;
}
@media screen and (min-width: 768px) {
  .header-top-right .navbar_contact {
    display: flex;
  }
}
@media screen and (min-width: 992px) {
  .mobile-menu-btn {
    display: none;
  }
  .header-top-left nav {
    display: block;
  }
  .header-bottom {
    display: flex;
  }
}
